<template>
  <ul class="mt-3 grid grid-cols-1 gap-5 transform scale-75">
    <li
      class="col-span-1 flex shadow-sm rounded-md cursor-pointer"
      @click="openC()"
    >
      <div
        class="flex-shrink-0 flex items-center justify-center w-16 bg-tek-black text-white text-sm font-medium rounded-l-md"
      >
        {{ commands.length }}
      </div>
      <div
        class="flex-1 flex items-center justify-between border-t border-r border-b border-gray-200 bg-white rounded-r-md truncate"
      >
        <div class="flex-1 px-2 py-2 text-sm truncate">
          <span class="text-gray-900 font-medium hover:text-gray-600">
            Commandes
          </span>
        </div>
      </div>
    </li>
    <li class="col-span-1 flex shadow-sm rounded-md">
      <div
        class="flex-shrink-0 flex items-center justify-center w-16 bg-tek-main text-white text-sm font-medium rounded-l-md"
      >
        {{ posts }}
      </div>
      <div
        class="flex-1 flex items-center justify-between border-t border-r border-b border-gray-200 bg-white rounded-r-md truncate"
      >
        <div class="flex-1 px-2 py-2 text-sm truncate">
          <span class="text-gray-900 font-medium hover:text-gray-600">
            Posts
          </span>
        </div>
      </div>
    </li>
  </ul>
</template>

<script>
import {EventBus} from '@/event-bus.js'
export default {
  props: {
    boxs: { type: Number, default: Math.floor(Math.random() * 20) },
    posts: { type: Number, default: Math.floor(Math.random() * 1000) },
  },
  data() {
    return {
      commands: this.$page.props.commands,
    }
  },
  methods: {
      openC(){
          EventBus.$emit('openC')
      }
  }
}
</script>
